curl -X POST \
'https://api.appcharge.com/v1/price-points' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"priceInUsdCents": 999,
"priceOverrides": [
{
"countryCode2": "BR",
"price": 29.99
}
]
}'
{
"priceInUsdCents": 999,
"lastUpdate": "2026-03-01T10:00:00.000Z",
"priceByCountry": [
{
"price": 9.99,
"currencyCode": "USD",
"isOverridden": false,
"taxModel": "Excluded",
"taxRate": 0,
"country": "United States",
"countryCode2": "US",
"usdExchangeRateOnCalc": 1,
"exchangeRateDrift": "0%"
},
{
"price": 7.99,
"currencyCode": "GBP",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 20,
"country": "United Kingdom",
"countryCode2": "GB",
"usdExchangeRateOnCalc": 0.79,
"exchangeRateDrift": "-1.2%"
},
{
"price": 29.99,
"currencyCode": "BRL",
"isOverridden": true,
"taxModel": "Excluded",
"taxRate": 0,
"country": "Brazil",
"countryCode2": "BR",
"usdExchangeRateOnCalc": 5.05,
"exchangeRateDrift": "2.3%"
},
{
"price": 8.99,
"currencyCode": "EUR",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 19,
"country": "Germany",
"countryCode2": "DE",
"usdExchangeRateOnCalc": 0.92,
"exchangeRateDrift": "-0.5%"
}
]
}
{
"message": "Invalid request body."
}
{
"message": "Country code ZZ not found in existing custom pricing."
}
{
"message": "Cannot create new pricing. The price point already exists."
}
Create Price Point
Creates a price point from a base price in USD cents.
When you pass the base price, Appcharge generates and returns localized prices for that price point in every supported currency. Learn more about how localized prices are calculated.
To override automatically calculated prices for specific countries, pass the priceOverrides property with the relevant country codes and your custom prices.
curl -X POST \
'https://api.appcharge.com/v1/price-points' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"priceInUsdCents": 999,
"priceOverrides": [
{
"countryCode2": "BR",
"price": 29.99
}
]
}'
{
"priceInUsdCents": 999,
"lastUpdate": "2026-03-01T10:00:00.000Z",
"priceByCountry": [
{
"price": 9.99,
"currencyCode": "USD",
"isOverridden": false,
"taxModel": "Excluded",
"taxRate": 0,
"country": "United States",
"countryCode2": "US",
"usdExchangeRateOnCalc": 1,
"exchangeRateDrift": "0%"
},
{
"price": 7.99,
"currencyCode": "GBP",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 20,
"country": "United Kingdom",
"countryCode2": "GB",
"usdExchangeRateOnCalc": 0.79,
"exchangeRateDrift": "-1.2%"
},
{
"price": 29.99,
"currencyCode": "BRL",
"isOverridden": true,
"taxModel": "Excluded",
"taxRate": 0,
"country": "Brazil",
"countryCode2": "BR",
"usdExchangeRateOnCalc": 5.05,
"exchangeRateDrift": "2.3%"
},
{
"price": 8.99,
"currencyCode": "EUR",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 19,
"country": "Germany",
"countryCode2": "DE",
"usdExchangeRateOnCalc": 0.92,
"exchangeRateDrift": "-0.5%"
}
]
}
{
"message": "Invalid request body."
}
{
"message": "Country code ZZ not found in existing custom pricing."
}
{
"message": "Cannot create new pricing. The price point already exists."
}
curl -X POST \
'https://api.appcharge.com/v1/price-points' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"priceInUsdCents": 999,
"priceOverrides": [
{
"countryCode2": "BR",
"price": 29.99
}
]
}'
{
"priceInUsdCents": 999,
"lastUpdate": "2026-03-01T10:00:00.000Z",
"priceByCountry": [
{
"price": 9.99,
"currencyCode": "USD",
"isOverridden": false,
"taxModel": "Excluded",
"taxRate": 0,
"country": "United States",
"countryCode2": "US",
"usdExchangeRateOnCalc": 1,
"exchangeRateDrift": "0%"
},
{
"price": 7.99,
"currencyCode": "GBP",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 20,
"country": "United Kingdom",
"countryCode2": "GB",
"usdExchangeRateOnCalc": 0.79,
"exchangeRateDrift": "-1.2%"
},
{
"price": 29.99,
"currencyCode": "BRL",
"isOverridden": true,
"taxModel": "Excluded",
"taxRate": 0,
"country": "Brazil",
"countryCode2": "BR",
"usdExchangeRateOnCalc": 5.05,
"exchangeRateDrift": "2.3%"
},
{
"price": 8.99,
"currencyCode": "EUR",
"isOverridden": false,
"taxModel": "Included",
"taxRate": 19,
"country": "Germany",
"countryCode2": "DE",
"usdExchangeRateOnCalc": 0.92,
"exchangeRateDrift": "-0.5%"
}
]
}
{
"message": "Invalid request body."
}
{
"message": "Country code ZZ not found in existing custom pricing."
}
{
"message": "Cannot create new pricing. The price point already exists."
}
Body
Base price in USD cents.
999
List of country-specific prices that replace the auto-calculated price.
Exchange rates and rounding rules aren't applied. If a country's tax model includes taxes in the price, make sure the custom price include tax. If a country's tax model excludes tax from the price, Appcharge adds the applicable tax during checkout.
Overrides apply only to the countries you specify.
Show child attributes
Show child attributes
Response
Price point created successfully.
Base price in USD cents.
999
Timestamp indicating when the price point was last updated, in UTC ISO 8601 format.
"2026-01-01T14:30:00Z"
List of localized prices by country, including overrides if present.
Show child attributes
Show child attributes
Was this page helpful?
